import fetch from '@/utils/fetch'
// 帐号列表
export function manageList(params) {
  return fetch({
    url: '/service-user/user/all',
    method: 'get',
    params
  })
}
// /帐号删除
export function manageDel(id) {
  return fetch({
    url: '/service-user/user/del/' + id,
    method: 'delete'
  })
}

// 帐号信息
export function manageInfo(id) {
  return fetch({
    url: '/service-user/user/single?id=' + id,
    method: 'get'
  })
}
// 帐号添加
export function manageAdd(params) {
  return fetch({
    url: '/service-user/user/createUser',
    method: 'post',
    data: params
  })
}

// 帐号修改
export function manageEdit(params) {
  return fetch({
    url: '/service-user/user/alter',
    method: 'post',
    data: params
  })
}

// 密码修改
export function manageResetPass(params) {
  return fetch({
    url: '/service-user/user/changePassword',
    method: 'post',
    data: params
  })
}
