import fetch from '@/utils/fetch'

export function getAllPermissions(id) {
  return fetch({
    url: '/service-user/permission/all/' + id,
    method: 'get'
  })
}

export function checkPermissions(id) {
  return fetch({
    url: '/service-user/permission/checked/' + id,
    method: 'get'
  })
}

export function updatePermissions(id, checked) {
  return fetch({
    url: '/service-user/permission/checked/' + id,
    method: 'post',
    data: checked
  })
}
