//全局通用 数据
import fetch from '@/utils/fetch'

//获取上传授权
export function getOSSSignature(type) {
    return fetch({
        url: '/unionService/AliOSS/signature',
        method: 'post',
        params: {
            dir: type
        },
        withCredentials: false
    })
}
//获取资源下载OSS地址接口
export  function getMediaResoures() {
    return fetch({
        url: '/unionService/AliOSS/mediaResource/oss/url',
        method: 'get',
    })
}
//获取更新包下载OSS地址接口
export  function getPackageResoures() {
    return fetch({
        url: '/unionService/AliOSS/upgradePackage/oss/url',
        method: 'get',
    })
}

//获取配置下载OSS地址接口
export  function getConfigResoures() {
    return fetch({
        url: '/unionService/AliOSS/deviceConfig/oss/url',
        method: 'get',
    })
}
//获取配置下载OSS地址接口
export  function getLogoResoures() {
    return fetch({
        url: '/unionService/AliOSS/store/logo/oss/url',
        method: 'get',
    })
}
//获取支付二维码下载OSS地址接口
export  function qrcodeResoures() {
    return fetch({
        url: '/unionService/AliOSS/trade/oss/url',
        method: 'get',
    })
}
//获取支付二维码下载OSS地址接口
export  function getImgResoures() {
    return fetch({
        url: '/unionService/AliOSS/goods/oss/url',
        method: 'get',
    })
}
//获取apk下载OSS地址接口
export  function getApkResoures() {
    return fetch({
        url: '/unionService/AliOSS/apk/oss/url',
        method: 'get',
    })
}

//获取省市
export  function getCitys(id) {
    return fetch({
        url: '/service-org/Region/getCitys?parentId='+id,
        method: 'get',
    })
}
