import fetch from '@/utils/fetch'

//集团添加
export function manageAdd(par) {
    return fetch({
        url: '/unionService/org/org',
        method: 'post',
        data: par
    })
}

//集团列表
export function manageList(par) {
    return fetch({
        url: '/service-org/org/list',
        method: 'get',
        params: par
    })
}
//集团列表
export function groupList(par) {
    return fetch({
        url: '/service-org/org/list',
        method: 'get',
        params: par
    })
}
//集团删除
export function manageDel(id) {
    return fetch({
        url: '/service-org/org/delete?orgId=' + id,
        method: 'DELETE',
    })
}

//集团查询
export function manageFind(id) {
    return fetch({
        url: '/service-org/org/detail?orgId=' + id,
        method: 'get',
    })
}

//集团修改
export function manageEdit(par) {
    return fetch({
        url: '/service-org/org/update',
        method: 'put',
        data: par
    })
}

