import fetch from '@/utils/fetch'
// 列表查询
export function memberList(params) {
  return fetch({
    url: '/service-member/members',
    method: 'get',
    params
  })
}
// 核销积分
export function writeOffPoint(params) {
  return fetch({
    url: '/service-member/memberCapitalChange/point/writeOff',
    method: 'post',
    data:params
  })
}
// 历史查询
export function memberHistory(params) {
  return fetch({
    url: '/service-member/memberCapitalChanges',
    method: 'post',
    data:params
  })
}
// 用户查询查询
export function memberFind(id) {
  return fetch({
    url: '/service-member/members/'+id,
    method: 'get',
  })
}
// 会员更新查询
export function memberUpdate(params) {
  return fetch({
    url: '/service-member/members',
    method: 'patch',
    data:params
  })
}
