import fetch from '@/utils/fetch'

// 支付营销添加
export function addPaymentPromotion(params) {
  return fetch({
    url: '/service-promotion/payment/promotion',
    method: 'post',
    data: params
  })
}

// 支付营销添加
export function updatePaymentPromotion(params) {
  return fetch({
    url: '/service-promotion/payment/promotion',
    method: 'put',
    data: params
  })
}

// 支付营销添加
export function queryPaymentPromotions(params) {
  return fetch({
    url: '/service-promotion/payment/promotions',
    method: 'post',
    data: params
  })
}

// 支付营销删除
export function deletePaymentPromotion(id) {
  return fetch({
    url: '/service-promotion/payment/promotion/' + id,
    method: 'delete'
  })
}

export function getPaymentPromotion(id) {
  return fetch({
    url: '/service-promotion/payment/promotion/' + id,
    method: 'get'
  })
}
