import fetch from '@/utils/fetch'

// 列表类型
export function typeList(params) {
  return fetch({
    url: '/service-inventory/goods/category/',
    method: 'get',
    params
  })
}

// 添加类别
export function typeAdd(params) {
  return fetch({
    url: '/service-inventory/goods/category',
    method: 'post',
    data: params
  })
}

// 修改类型
export function typeEdit(id, params) {
  return fetch({
    url: '/service-inventory/goods/category/' + id,
    method: 'put',
    data: params
    // params: params
  })
}

// 修改类型
export function typeOrderUpdate(params) {
  return fetch({
    url: '/service-inventory/goods/category/re-order/',
    method: 'post',
    data: params
    // params: params
  })
}

// 删除商品
export function typeDel(id) {
  return fetch({
    url: '/service-inventory/goods/category/catering/' + id,
    method: 'delete'
  })
}

// 树形列表类型
export function categoryTree(params) {
  return fetch({
    url: '/service-inventory/goods/category/tree',
    method: 'get',
    params
  })
}
