import fetch from '@/utils/fetch'

//盘点列表
export function pdList(params) {
  return fetch({
    url: '/service-inventory/inventory/check-stock/list',
    method: 'get',
    params
  })
}

//盘点列表详情
export function pdShowList(params) {
  return fetch({
    url: '/service-inventory/inventory/check-stock/detail',
    method: 'get',
    params
  })
}
//盘点统计
export function pdTotalList(params) {
  return fetch({
    url: '/service-inventory/inventory/check-stock/summary',
    method: 'get',
    params
  })
}



//列表库存流水
export function historyList(params) {
    return fetch({
        url: '/service-inventory/inventory/history',
        method: 'get',
        params
    })
}
//列表库存
export function inventoryList(params) {
    return fetch({
        url: '/service-inventory/inventory/list',
        method: 'get',
        params
    })
}
//入库
export function ingoods(params) {
  return fetch({
    url: '/service-inventory/inventory/stockIn',
    method: 'post',
    data:params
  })
}

//盘盈
export function wingoods(params) {
  return fetch({
    url: '/service-inventory/inventory/checkAdd',
    method: 'post',
    data:params
  })
}
//退货
export function returngoods(params) {
  return fetch({
    url: '/service-inventory/inventory/userReturn',
    method: 'post',
    data:params
  })
}
//领用
export function outgoods(params) {
  return fetch({
    url: '/service-inventory/inventory/goodsTake',
    method: 'put',
    data:params
  })
}
//盘损
export function losegoods(params) {
  return fetch({
    url: '/service-inventory/inventory/checkDec',
    method: 'put',
    data:params
  })
}
//.向供应商退货接口
export function supReturngoods(params) {
  return fetch({
    url: '/service-inventory/inventory/supReturn',
    method: 'put',
    data:params
  })
}

//统计
export function totalamount(params) {
  return fetch({
    url: '/service-inventory/inventory/total-amount',
    method: 'get',
    params
  })
}



