import fetch from '@/utils/fetch'

// 订单首页列表
export function orderIndex(par) {
  return fetch({
    url: '/unionService/orderStatistics/shopOrderSummary',
    method: 'get',
    params: par
  })
}

// 订单交易流水列表
export function orderflow(par) {
  return fetch({
    url: '/unionService/orderStatistics/shopOrderDetails',
    method: 'get',
    params: par
  })
}

// 订单交易流水列表
export function orderStatistics(par) {
  return fetch({
    url: '/service-trade/tradeStatistics/payChannelSummary',
    method: 'get',
    params: par
  })
}

// 日报统计
// 订单交易流水列表
export function orderDatestatistics(par) {
  return fetch({
    url: '/unionService/tradeStatistics/daily',
    method: 'get',
    params: par
  })
}

// 占比统计
export function orderRationstatistics(par) {
  return fetch({
    url: '/service-trade/tradeStatistics/payChannelProportion',
    method: 'get',
    params: par
  })
}

// 门店各支付方式汇总统计
export function shopPaymentTypeStatistics(par) {
  return fetch({
    url: '/unionService/tradeStatistics/payTypeTradeSummary',
    method: 'get',
    params: par
  })
}
