import fetch from '@/utils/fetch'
export function login(userinfo) {
  return fetch({
    url: '/service-user/login',
    method: 'post',
    data: userinfo
  })
}

export function getInfo() {
  return fetch({
    url: '/service-user/user/me',
    method: 'get'
  })
}

export function register(registerForm) {
  return fetch({
    url: '/unionService/register',
    method: 'post',
    data: registerForm
  })
}
