import fetch from '@/utils/fetch'

//广告策略添加
export function strategyAdd(par) {
    return fetch({
        url: '/service-advertisement/mediaResourceStrategy',
        method: 'post',
        data: par
    })
}

//广告策略列表
export function strategyList(par) {
    return fetch({
        url: '/service-advertisement/mediaResourceStrategies',
        method: 'post',
        data: par
    })
}

//广告策略取消
export function strategyDel(groupId) {
    return fetch({
        url: '/unionService/adv/mediaResourceStrategy/cancel/'+groupId,
        method: 'put',
    })
}

//广告策略详情
export function getStrategyDtl(groupId) {
    return fetch({
        url: '/unionService/adv/mediaResourceStrategy/relation/'+groupId,
        method: 'get',
    })
}


