import fetch from '@/utils/fetch'

// 餐桌列表
export function tableList(shopid) {
    return fetch({
        url: '/service-org/tables/shop/' + shopid,
        // url: 'https://easy-mock.com/mock/5a5ee345dec01f1bea369aee/service-org/tables/shop/',
        method: 'get',
    })
}

// 餐桌添加修改
export function tableSub(params) {
    var method = 'post'
    if (params.id) {
        method = 'put'
    }
    return fetch({
        url: '/service-org/tables',
        method: method,
        params
    })
}

// 餐桌删除
export function tableDel(id) {
    return fetch({
        url: '/service-org/tables/' + id,
        method: 'delete',

    })
}

