import fetch from '@/utils/fetch'

//列表
export function upgradeList(params) {
    return fetch({
        url: '/service-ota/upgradeStrategies',
        method: 'post',
        data: params
    })
}

//添加
export function upgradeAdd(params) {
    return fetch({
        url: '/service-ota/upgradeStrategy',
        method: 'post',
        data: params
    })
}

//修改状态
export function upgradeUpdatestatus(id) {
    return fetch({
        url: '/service-ota/upgradeStrategy/cancel/'+id,
        method: 'put',
        // params: params
    })
}

//查看策略详情
export function upgradeShow(id) {
    return fetch({
        url: '/unionService/OTA/upgradeStrategy/relation/' + id,
        method: 'get',
    })
}
