import fetch from '@/utils/fetch'

//列表商品
export function goodsList(params) {
    return fetch({
        url: '/service-inventory/goods/catering/menus',
        method: 'get',
        params
    })
}

//添加商品
export function goodsAdd(params) {
    return fetch({
        url: '/service-inventory/goods/catering/menus',
        method: 'post',
        data: params
    })
}

//修改商品
export function goodsEdit(params) {
    return fetch({
        url: '/service-inventory/goods/catering/menus',
        method: 'patch',
        data: params,
        // params: params
    })
}

//删除商品
export function goodsDel(id) {
    return fetch({
        url: '/service-inventory/goods/catering/menus/' + id,
        method: 'delete',
    })
}

//菜品类别列表
export function goodsCategories(id) {
    return fetch({
        url: '/service-inventory/goods/catering/menus/categories?preset=1',
        method: 'get',
    })
}

// /菜品标签列表
export function goodsTags(id) {
    return fetch({
        url: '/service-inventory/goods/catering/menus/tags?preset=1',
        method: 'get',
    })
}

//单菜品查询
// /菜品标签列表
export function goodsFind(id) {
    return fetch({
        url: '/service-inventory/goods/catering/menus/'+id,
        method: 'get',
    })
}

//设备绑定菜品修改
export function otagoodsUpdate(sn,params) {
  return fetch({
    url: '/service-inventory/goods/catering/menus/pos/'+sn,
    method: 'post',
    data: params
  })
}

//菜单审核列表
export function examinegoods(params) {
  return fetch({
    url: '/service-inventory/goods/catering/menus/approvals',
    method: 'post',
    data: params
  })
}
//菜单审核
export function approval(params) {
  return fetch({
    url: '/service-inventory/goods/catering/menus/approval',
    method: 'put',
    data: params
  })
}


