import fetch from '@/utils/fetch'

//供应商列表
export function supplierList(params) {
    return fetch({
        url: '/service-inventory/inventory/supplier/list',
        method: 'get',
        params
    })
}

//添加修改供应商
export function supplierAdd(params) {
 var  method ='post'
  if (params.id) {
    method = 'put'
  }

    return fetch({
        url: '/service-inventory/inventory/supplier/',
        method: method,
        data: params
    })
}

//删除供应商
export function supplierDel(id) {
    return fetch({
        url: '/service-inventory/inventory/supplier/' + id,
        method: 'delete',
    })
}
