import fetch from '@/utils/fetch'

//列表类型
export function tasetList(params) {
    return fetch({
        url: '/service-inventory/goods/tag/',
        method: 'get',
        params
    })
}

//添加类别
export function tasteAdd(params) {
    return fetch({
        url: '/service-inventory/goods/tag',
        method: 'post',
        data: params
    })
}

//修改类型
export function tasetEdit(id,params) {
    return fetch({
        url: '/service-inventory/goods/tag/' + id,
        method: 'put',
        data: params,
        // params: params
    })
}
//修改类型
export function tasetOrderUpdate(params) {
    return fetch({
        url: '/service-inventory/goods/tag/re-order/',
        method: 'post',
        data: params,
        // params: params
    })
}

//删除商品
export function tasetDel(id) {
    return fetch({
        url: '/service-inventory/goods/tag/' + id,
        method: 'delete',
    })
}
