function menulist(state) {
  const m = {
    1: {
      't': '营销系统',
      'url': '/marketing/shop/store/index',
      'role': '门店'
    },
    2: {
      't': '帐号系统',
      'url': '/accounts/manage/index',
      'role': '帐号管理'
    },
    3: {
      't': '设备管理',
      'url': '/ota/mac/index',
      'role': '设备列表'
    },
    4: {
      't': '交易管理',
      'url': '/transaction/order/index',
      'role': '订单管理'
    },
    5: {
      't': '库存管理',
      'url': '/stock/goods/index',
      'role': '商品列表'
    },
      6: {
          't': '库存管理',
          'url': '/stock/retail/index',
          'role': '零售商品列表'
      },
  }
  for (const k in m) {
    if (state.user.roles && state.user.roles.indexOf(m[k].role) < 0) {
      if (k === '1' && state.user.roles.indexOf('集团') >= 0) {
        m[k]['url'] = '/manage/index'
      } else {
        delete m[k]
      }
    }
  }
  return m
}

const getters = {
  sidebar: state => state.app.sidebar,
  token: state => state.user.token,
  avatar: state => state.user.avatar,
  name: state => state.user.name,
  roles: state => state.user.roles,
  usertype: state => state.user.type,
  orgId: state => state.user.orgId,
  shopIds: state => state.user.shopIds,
  permission_routers: state => state.permission.routers,
  addRouters: state => state.permission.addRouters,
  menu: state => state.sess.menu,
  menulist
}
export default getters
